<?php

if (!defined('FORUM')) die();

$section = isset($_GET['section']) ? $_GET['section'] : null;
$sort_by = isset($_GET['sort_by']) ? 'sort_by='.$_GET['sort_by'] : '';
$qs_keywords = (isset($_GET['key']) && is_string($_GET['key'])) ? forum_trim($_GET['key']) : '';

if (!isset($lang_smart_notify)) {
    if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php'))
	    require $ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php';
    else
	    require $ext_info['path'].'/lang/English/'.$ext_info['id'].'.php';
}

if ($forum_user['smart_notify_del_mentions_option'] > 0) 
{
	$query = array(
        'DELETE'	=> 'smart_user_notify',
		'WHERE'		=> 'user_id='.$forum_user['id']
	);
	
	if ($forum_user['smart_notify_del_mentions_option'] == '1') {
	    $query['WHERE'] .= ' AND date <'.(time()-604800);
	} else {
		$query['WHERE'] .= ' AND date <'.(time()-2629743);
	}

	$forum_db->query_build($query) or error(__FILE__, __LINE__);
}

if (isset($_POST['delete']))
{
	$ids = array_map('trim', $_POST['ids']);
	foreach ($ids as $key => $id)
	{
		$query = array(
		    'DELETE'	=> 'smart_user_notify',
		    'WHERE'		=> 'id='.$id.' AND user_id='.$forum_user['id']
	    );
	    $forum_db->query_build($query) or error(__FILE__, __LINE__);
	}
	
	$forum_flash->add_info($lang_smart_notify['Deleted']);
	redirect(forum_link($forum_url['smart_notify_list']), $lang_smart_notify['Deleted']);
}
else if(isset($_POST['update_settings']) )
{
	$new_values = [];
	foreach ($_POST['form'] as $key => $val)
	{
	    $value = ($val !== '') ? '\''.$forum_db->escape($val).'\'' : 'NULL';
		$new_values[] = $key.'='.$value;

		if (!empty($new_values))
		{
			$query = array(
				'UPDATE'	=> 'users',
				'SET'		=> implode(',', $new_values),
				'WHERE'		=> 'id='.$forum_user['id']
			);
			$forum_db->query_build($query) or error(__FILE__, __LINE__);
		}
	}

	$forum_flash->add_info($lang_smart_notify['Settings updated']);
	redirect(forum_link($forum_url['smart_notify_settings']), $lang_smart_notify['Settings updated']);
}

$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

if ($section == 'settings')
{
	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_smart_notify['Mentions'], forum_link($forum_url['smart_notify_list'])),
		$lang_smart_notify['Settings']
	);

	define('FORUM_PAGE', 'smart-notify-settings');
	require FORUM_ROOT.'header.php';
	
	// START SUBST - <!-- forum_main -->
    ob_start();
?>
	<div class="main-head">
		<h2 class="hn"><span><?php echo $lang_smart_notify['Mentions'] ?></span></h2>
	</div>

	<div class="admin-submenu gen-content">
		<ul>
		    <li class="first-item normal"><a href="<?php echo forum_link($forum_url['smart_notify_list']) ?>"><?php echo $lang_smart_notify['List mentions'] ?></a></li>
	        <li class="active"><a href="<?php echo forum_link($forum_url['smart_notify_settings']) ?>"><?php echo $lang_smart_notify['Settings'] ?></a></li>
		</ul>
	</div>
		
	<div class="main-content main-frm">
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['smart_notify_settings']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['smart_notify_settings'])) ?>" />
			</div>
<?php
	        if (defined('SMART_NICK_TO_FORM_LOADED')) {
?>	            
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box checkbox">
				    <input type="hidden" name="form[smart_notify_user_mention_enable]" value="0" />
                    <span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[smart_notify_user_mention_enable]" value="1"<?php if ($forum_user['smart_notify_user_mention_enable'] == '1') echo ' checked="checked"' ?> /></span>
                    <label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_smart_notify['Nickname notify'] ?></span><?php echo $lang_smart_notify['Enable nickname notify'] ?></label>
                </div>
	        </div>
<?php
	        }
		    if (defined('SMART_QUOTE_LOADED')) {
?>
	        <div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
				<div class="sf-box checkbox">
				    <input type="hidden" name="form[smart_notify_quote_mention_enable]" value="0" />
                    <span class="fld-input"><input type="checkbox" id="fld<?php echo ++$forum_page['fld_count'] ?>" name="form[smart_notify_quote_mention_enable]" value="1"<?php if ($forum_user['smart_notify_quote_mention_enable'] == '1') echo ' checked="checked"' ?> /></span>
                    <label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_smart_notify['Quote notify'] ?></span><?php echo $lang_smart_notify['Enable quote notify'] ?></label>
                </div>
	        </div>
<?php
	        }
?>
			<div class="sf-set set<?php echo ++$forum_page['item_count'] ?>">
		        <div class="sf-box select">
					<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><strong><?php echo $lang_smart_notify['Deliting mentions'] ?></span></strong> <small><?php echo $lang_smart_notify['Deliting mentions info'] ?></small></label><br />
			        <span class="fld-input"><select id="fld<?php echo $forum_page['fld_count'] ?>" name="form[smart_notify_del_mentions_option]">
				        <option value="0"<?php if ($forum_user['smart_notify_del_mentions_option'] == 0) echo ' selected="selected"' ?>><?php echo $lang_smart_notify['manually'] ?></option>
				        <option value="1"<?php if ($forum_user['smart_notify_del_mentions_option'] == 1) echo ' selected="selected"' ?>><?php echo $lang_smart_notify['a week later'] ?></option>
						<option value="2"<?php if ($forum_user['smart_notify_del_mentions_option'] == 2) echo ' selected="selected"' ?>><?php echo $lang_smart_notify['a month later'] ?></option>
			        </select></span>
		        </div>
	        </div>

			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="update_settings" value="<?php echo $lang_smart_notify['Save'] ?>" /></span>
			</div>
		</form>
	</div>

<?php
    $tpl_temp = forum_trim(ob_get_contents());
    $tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
    ob_end_clean();
    // END SUBST - <!-- forum_main -->

    require FORUM_ROOT.'footer.php';
}
else
{
	$like_command = ($db_type == 'pgsql') ? 'ILIKE' : 'LIKE';
	
	$query_all = array(
	    'SELECT'	=> 'COUNT(id)',
	    'FROM'		=> 'smart_user_notify',
		'WHERE'		=> 'user_id='.$forum_user['id']
    );
    $result_all = $forum_db->query_build($query_all) or error(__FILE__, __LINE__);
	$all_mentions = $forum_db->result($result_all, 0);
	
	$query = array(
		'SELECT'	=> 'id',
		'FROM'		=> 'smart_user_notify',
		'WHERE'     => 'user_id=\''.$forum_db->escape($forum_user['id']).'\'',
	);
	
	if ($sort_by != '')
	{
		if($sort_by == 'sort_by=type_Any')
		   $query['WHERE'] .= ' AND (type=\'user\' OR type=\'quote\')';
	    else if($sort_by == 'sort_by=type_User')
		   $query['WHERE'] .= ' AND type=\'user\'';
	    else if($sort_by == 'sort_by=type_Quote')
		   $query['WHERE'] .= ' AND type=\'quote\'';
	}
	if ($qs_keywords != '')
	{
		$query['WHERE'] .= ' AND poster '.$like_command.' \'%'.$forum_db->escape($qs_keywords).'%\'';
	}

	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$mentions_count = array();
	while ($rows = $forum_db->fetch_assoc($result))
		$mentions_count[] = $rows;
	
	$num_mentions = count($mentions_count);
	
//	$forum_user['disp_topics'] = 1;

	//Page Navigation
	$forum_page['num_pages'] = ceil($num_mentions / $forum_user['disp_topics']);
	$forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
	$forum_page['start_from'] = $forum_user['disp_topics'] * ($forum_page['page'] - 1);
	$forum_page['finish_at'] = min(($forum_page['start_from'] + $forum_user['disp_topics']), ($num_mentions));
	$forum_page['items_info'] = generate_items_info($lang_common['Pages'], ($forum_page['start_from'] + 1), $num_mentions);

	$page_link = $forum_url['smart_notify_list'].((!empty($sort_by)) ? '&amp;'.$sort_by : '').((!empty($qs_keywords)) ? '&amp;key='.$qs_keywords : '');
	$forum_page['paging_links'] = ($forum_page['num_pages'] > 1) ? '<p class="paging"><span class="pages">'.$lang_common['Pages'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], $page_link, '', '', 1).'</p>' : '';
	
	//Modify url by get request
	if (!empty($sort_by) && !empty($qs_keywords))
    {
		$last_link = forum_link($forum_url['smart_notify_navi_sort_by_and_qsearch'], array($sort_by, $qs_keywords, $forum_page['num_pages']));
		$next_link = forum_link($forum_url['smart_notify_navi_sort_by_and_qsearch'], array($sort_by, $qs_keywords, ($forum_page['page'] + 1)));
		$prev_link = forum_link($forum_url['smart_notify_navi_sort_by_and_qsearch'], array($sort_by, $qs_keywords, ($forum_page['page'] - 1)));
		$first_link = forum_link($forum_url['smart_notify_navi_sort_by_and_qsearch'], array($sort_by, $qs_keywords, 1));
	} else if (!empty($sort_by) || !empty($qs_keywords)) {
	    $last_link = forum_link($forum_url['smart_notify_navi_sort_by'], array(((!empty($sort_by)) ? $sort_by : $qs_keywords), $forum_page['num_pages']));
		$next_link = forum_link($forum_url['smart_notify_navi_sort_by'], array(((!empty($sort_by)) ? $sort_by : $qs_keywords), ($forum_page['page'] + 1)));
		$prev_link = forum_link($forum_url['smart_notify_navi_sort_by'], array(((!empty($sort_by)) ? $sort_by : $qs_keywords), ($forum_page['page'] - 1)));
		$first_link = forum_link($forum_url['smart_notify_navi_sort_by'], array(((!empty($sort_by)) ? $sort_by : $qs_keywords), 1));
	} else {
	    $last_link = forum_link($forum_url['smart_notify_navi'], $forum_page['num_pages']);
		$next_link = forum_link($forum_url['smart_notify_navi'], ($forum_page['page'] + 1));
		$prev_link = forum_link($forum_url['smart_notify_navi'], ($forum_page['page'] - 1));
		$first_link = forum_link($forum_url['smart_notify_navi'], 1);
	}
	
	// Navigation links for header and page numbering for title/meta description
	if ($forum_page['page'] < $forum_page['num_pages'])
	{
		$forum_page['nav']['last'] = '<link rel="last" href="'.$last_link.'" title="'.$lang_common['Page'].' '.$forum_page['num_pages'].'" />';
		$forum_page['nav']['next'] = '<link rel="next" href="'.$next_link.'" title="'.$lang_common['Page'].' '.($forum_page['page'] + 1).'" />';
	}
	if ($forum_page['page'] > 1)
	{
		$forum_page['nav']['prev'] = '<link rel="prev" href="'.$prev_link.'" title="'.$lang_common['Page'].' '.($forum_page['page'] - 1).'" />';
		$forum_page['nav']['first'] = '<link rel="first" href="'.$first_link.'" title="'.$lang_common['Page'].' 1" />';
	}

	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		$lang_smart_notify['Mentions']
	);

	define('FORUM_PAGE', 'smart-notify-list');
	require FORUM_ROOT.'header.php';
	
	// START SUBST - <!-- forum_main -->
	ob_start();
	
	if($sort_by == 'sort_by=date_DESC')
		$sort_query = 'date DESC';
	else if($sort_by == 'sort_by=date_ASC')
		$sort_query = 'date ASC';
	else if($sort_by == 'sort_by=poster_ASC')
		$sort_query = 'poster ASC';
	else if($sort_by == 'sort_by=poster_DESC')
		$sort_query = 'poster DESC';
	else if($sort_by == 'sort_by=type_Any')
		$sort_query = 'type ASC';
	else if($sort_by == 'sort_by=type_User')
		$sort_query = 'type ASC';
	else if($sort_by == 'sort_by=type_Quote')
		$sort_query = 'type ASC';
	else
		$sort_query = 'date DESC';

	$query = array(
		'SELECT'	=> 's.*, t.subject',
		'FROM'		=> 'smart_user_notify AS s',
		'JOINS'		=> array(
			array(
				'INNER JOIN'	=> 'topics AS t',
				'ON'			=> 't.id=s.topic_id'
			)
		),
		'WHERE'     => 's.user_id=\''.$forum_db->escape($forum_user['id']).'\'',
		'ORDER BY'	=> ''.$sort_query,
		'LIMIT'		=> $forum_page['start_from'].', '.$forum_user['disp_topics']
	);
		
    if ($forum_db->field_exists('groups', 'link_color'))
	{
	    $query['SELECT'] .= ', g.link_color';
	    $query['JOINS'][] = array(
		    'INNER JOIN'	    => 'users AS u',
			'ON'			    => 'u.id=s.poster_id'
	    );
		$query['JOINS'][] = array(
		    'INNER JOIN'	    => 'groups AS g',
			'ON'			    => 'g.g_id=u.group_id'
	    );
	}
	if ($sort_by != '')
	{
		if($sort_by == 'sort_by=type_Any')
		   $query['WHERE'] .= ' AND (s.type=\'user\' OR s.type=\'quote\')';
	    else if($sort_by == 'sort_by=type_User')
		   $query['WHERE'] .= ' AND s.type=\'user\'';
	    else if($sort_by == 'sort_by=type_Quote')
		   $query['WHERE'] .= ' AND s.type=\'quote\'';
	}
	if ($qs_keywords != '')
	{
		$query['WHERE'] .= ' AND s.poster '.$like_command.' \'%'.$forum_db->escape($qs_keywords).'%\'';
	}

	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	$mentions_info = [];
	$unread_ment_ids = [];
	while ($rows = $forum_db->fetch_assoc($result))
	{
		$mentions_info[] = $rows;
	
	    if ($rows['status'] == '1')
			$unread_ment_ids[] = $rows['id'];
	}

	if (count($mentions_info) > 0)
	{
?>
	    <div id="brd-pagepost-top" class="main-pagepost gen-content">
		    <?php echo $forum_page['paging_links'] ?>
	    </div>

	    <div class="main-head">
		    <h2 class="hn"><span><?php echo $lang_smart_notify['Mentions'] ?></span></h2>
	    </div>

		<div class="admin-submenu gen-content">
		    <ul>
		        <li class="first-item active"><a href="<?php echo forum_link($forum_url['smart_notify_list']) ?>"><?php echo $lang_smart_notify['List mentions'] ?></a></li>
	            <li class="normal"><a href="<?php echo forum_link($forum_url['smart_notify_settings']) ?>"><?php echo $lang_smart_notify['Settings'] ?></a></li>
		    </ul>		
<?php
		    if ($all_mentions > 1) {
?>
			<select id="mentions_sort_by" onchange="Mentions_sort_by(this)" url="<?php echo $page_link ?>">
			    <option value="sort_by=date_DESC"<?php if ($sort_by == 'sort_by=date_DESC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by date desc'] ?></option>
			    <option value="sort_by=date_ASC"<?php if ($sort_by == 'sort_by=date_ASC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by date asc'] ?></option>
			    <option value="sort_by=poster_ASC"<?php if ($sort_by == 'sort_by=poster_ASC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by username asc'] ?></option>
		        <option value="sort_by=poster_DESC"<?php if ($sort_by == 'sort_by=poster_DESC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by username desc'] ?></option>
<?php
	            if (defined('SMART_NICK_TO_FORM_LOADED') && defined('SMART_QUOTE_LOADED')) {
?>			    
				    <option value="sort_by=type_Any"<?php if ($sort_by == 'sort_by=type_Any') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Show all mentions'] ?></option>
<?php
	            }
				if (defined('SMART_NICK_TO_FORM_LOADED')) {
?>			    
				    <option value="sort_by=type_User"<?php if ($sort_by == 'sort_by=type_User') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Show nickname mention'] ?></option>
<?php
	            }
		        if (defined('SMART_QUOTE_LOADED')) {
?>			    
				    <option value="sort_by=type_Quote"<?php if ($sort_by == 'sort_by=type_Quote') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Show quote mention'] ?></option>
<?php
	            }
?>
			</select>
<?php
		    }
?>
		</div>
		
	    <div class="main-content main-frm mentions-list">
		    <div class="main-subhead" style="border:unset; border-bottom: 1px solid #d3dae1;">
		        <h2 class="hn"><span><?php echo sprintf($lang_smart_notify['All mentions'], $num_mentions); ?></span></h2>
			</div>
	        <form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['smart_notify_list']) ?>">
			    <div class="hidden">
				    <input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['smart_notify_list'])) ?>" />
			    </div>
			    <table>
				    <thead>
					    <tr>
						    <th class="tc0"><input type="checkbox" name="all" value="all" onclick="selectAll(this)" /></th>
						    <th class="tc1" style="width:20%;"><?php echo $lang_smart_notify['User'] ?></th>
						    <th class="tc2" style="width:19%;"><?php echo $lang_smart_notify['Action'] ?></th>
						    <th class="tc4" style="width:50%;"><?php echo $lang_smart_notify['In topics'] ?></th>
						    <th class="tc5" style="width:17%;"><?php echo $lang_smart_notify['Date'] ?></th>
					    </tr>
				    </thead>
				    <tbody>
<?php
                    $i = 2;
		            foreach ($mentions_info as $key => $notify)
		            {
					    $username = ($notify['poster_id'] > 1) ? '<a href="'.forum_link($forum_url['user'], $notify['poster_id']).'" target="_blank" title="'.sprintf($lang_smart_notify['Go to profile'], $notify['poster']).'" '.((isset($notify['link_color'])) ? 'style="color:'.$notify['link_color'].'"' : '').'><strong>'.forum_htmlencode($notify['poster']).'</strong></a>' : forum_htmlencode($notify['poster']);
			            $type = ($notify['type'] == 'user') ? $lang_smart_notify['mentioned you'] : $lang_smart_notify['quoted you'];
?>
			            <tr id="ids<?php echo $i ?>">
				            <td class="tc0"><input type="checkbox" name="ids[<?php echo $notify['id'] ?>]" value="<?php echo $notify['id'] ?>" onclick="selectOne(this)"></td>
				            <td class="tc1"><?php echo $username ?></td>
				            <td class="tc2"><?php echo $type ?></td>
			                <td class="tc4"><a href="<?php echo forum_link($forum_url['post'], $notify['post_id']) ?>" title="<?php echo $lang_smart_notify['Go to post']; ?>" target="_blank"><?php echo forum_htmlencode($notify['subject']) ?></a></td>
				            <td class="tc5"><?php echo format_time($notify['date']) ?></td>
			            </tr>
<?php
		            $i++;
		            }
?>
	                </tbody>
			    </table>
			    <div class="frm-buttons">
				    <span class="submit primary"><input type="submit" name="delete" value="<?php echo $lang_smart_notify['Delete selected'] ?>" /></span>
			    </div>
		    </form>
	    </div>
<?php	
	    if ($forum_page['num_pages'] > 1) {
?>
	    <div id="brd-pagepost-bottom" class="main-pagepost gen-content">
		    <?php echo $forum_page['paging_links'] ?>
	    </div>
<?php
        }
		
		if (count($unread_ment_ids)>0)
		{
	        $read_mentions = array(
		        'UPDATE'	=> 'smart_user_notify',
                'SET'		=> 'status=0',
			    'WHERE'		=> 'id IN ('.implode(',', $unread_ment_ids).')',
	        );
	        $forum_db->query_build($read_mentions) or error(__FILE__, __LINE__);
		}
	}
	else
	{
?>
		<div class="main-head">
			<h2 class="hn"><span><?php echo $lang_smart_notify['Mentions'] ?></span></h2>
		</div>
		
		<div class="admin-submenu gen-content">
		    <ul>
		        <li class="first-item active"><a href="<?php echo forum_link($forum_url['smart_notify_list']) ?>"><?php echo $lang_smart_notify['List mentions'] ?></a></li>
	            <li class="normal"><a href="<?php echo forum_link($forum_url['smart_notify_settings']) ?>"><?php echo $lang_smart_notify['Settings'] ?></a></li>
		    </ul>
<?php
		    if ($all_mentions > 1) {
?>
			<select id="mentions_sort_by" onchange="Mentions_sort_by(this)" url="<?php echo $page_link ?>">
			    <option value="sort_by=date_DESC"<?php if ($sort_by == 'sort_by=date_DESC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by date desc'] ?></option>
			    <option value="sort_by=date_ASC"<?php if ($sort_by == 'sort_by=date_ASC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by date asc'] ?></option>
			    <option value="sort_by=poster_ASC"<?php if ($sort_by == 'sort_by=poster_ASC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by username asc'] ?></option>
		        <option value="sort_by=poster_DESC"<?php if ($sort_by == 'sort_by=poster_DESC') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Sort by username desc'] ?></option>
<?php
	            if (defined('SMART_NICK_TO_FORM_LOADED') && defined('SMART_QUOTE_LOADED')) {
?>			    
				    <option value="sort_by=type_Any"<?php if ($sort_by == 'sort_by=type_Any') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Show all mentions'] ?></option>
<?php
	            }
				if (defined('SMART_NICK_TO_FORM_LOADED')) {
?>			    
				    <option value="sort_by=type_User"<?php if ($sort_by == 'sort_by=type_User') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Show nickname mention'] ?></option>
<?php
	            }
		        if (defined('SMART_QUOTE_LOADED')) {
?>			    
				    <option value="sort_by=type_Quote"<?php if ($sort_by == 'sort_by=type_Quote') echo ' selected="selected"' ?>><?php echo $lang_smart_notify['Show quote mention'] ?></option>
<?php
	            }
?>
			</select>
<?php
		    }
?>
		</div>

		<div class="main-content main-frm">
		    <div class="main-subhead" style="border:unset; border-bottom: 1px solid #d3dae1;">
		        <h2 class="hn"><span><?php echo sprintf($lang_smart_notify['All mentions'], $num_mentions); ?></span></h2>
			</div>
			<div class="ct-box info-box">
			    <p><?php echo $lang_smart_notify['List of mentions is empty'] ?></p>
		    </div>
		</div>
<?php
	}

	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->
	
	require FORUM_ROOT.'footer.php';
}
